function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var reactJss = require('react-jss');

var useStyles = reactJss.createUseStyles({
  root: {
    overflow: 'hidden',
    padding: 0,
    margin: 0,
    width: function width(props) {
      return props.carouselBoxWidth + 35;
    },
    height: function height(props) {
      return props.carouselBoxHeight + 35;
    },
    display: 'flex',
    flexDirection: function flexDirection(props) {
      switch (props.carouselNavButtonsPosition) {
        case 'right':
          return 'row-reverse';

        case 'left':
          return 'row';

        case 'top':
          return 'column';

        case 'bottom':
          return 'column-reverse';
      }
    },
    alignItems: 'center'
  },
  slider: {
    boxSizing: 'border-box',
    padding: 0,
    margin: 0,
    width: function width(props) {
      switch (props.carouselNavButtonsPosition) {
        case 'right':
        case 'left':
          return 30;

        case 'top':
        case 'bottom':
          return 30 * props.slides.length;
      }
    },
    height: function height(props) {
      switch (props.carouselNavButtonsPosition) {
        case 'right':
        case 'left':
          return 30 * props.slides.length;

        case 'top':
        case 'bottom':
          return 30;
      }
    },
    textAlign: 'center',
    overflow: 'hidden',
    display: 'flex',
    flexDirection: function flexDirection(props) {
      switch (props.carouselNavButtonsPosition) {
        case 'right':
        case 'left':
          return 'column';

        case 'top':
        case 'bottom':
          return 'row';
      }
    },
    '& a': {
      display: 'inline-flex',
      width: function width(props) {
        return props.carouselNavButtonsType === 'number' ? 25 : props.carouselNavButtonsPosition === 'right' || props.carouselNavButtonsPosition === 'left' ? 7 : 25;
      },
      height: function height(props) {
        return props.carouselNavButtonsType === 'number' ? 25 : props.carouselNavButtonsPosition === 'right' || props.carouselNavButtonsPosition === 'left' ? 25 : 7;
      },
      background: 'black',
      color: 'white',
      textDecoration: 'none',
      alignItems: 'center',
      justifyContent: 'center',
      borderRadius: function borderRadius(props) {
        return props.carouselNavButtonsType === 'number' ? '50%' : 0;
      },
      margin: 'auto',
      position: 'relative',
      '&:active': {
        top: '1px'
      },
      '&:focus': {
        background: '#000'
      }
    }
  },
  slides: {
    boxSizing: 'border-box',
    width: function width(props) {
      return props.carouselBoxWidth;
    },
    display: 'flex',
    flexDirection: function flexDirection(props) {
      return props.scrollDirection === 'xAxis' ? 'row' : 'column';
    },
    overflow: 'auto',
    height: function height(props) {
      return props.carouselBoxHeight;
    },
    scrollSnapType: function scrollSnapType(props) {
      return (props.scrollDirection === 'xAxis' ? 'x' : 'y') + " mandatory";
    },
    scrollBehavior: 'smooth',
    overflowScrolling: 'touch',
    '& div': {
      scrollSnapAlign: 'start',
      flexShrink: 0,
      width: function width(props) {
        return props.carouselBoxWidth;
      },
      height: function height(props) {
        return props.carouselBoxHeight;
      },
      borderRadius: 10,
      background: '#eee',
      transformOrigin: 'center center',
      transform: 'scale(1)',
      transition: 'transform 0.5s',
      position: 'relative',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      fontSize: 100
    }
  }
});
var ReactCarousel = function ReactCarousel(props) {
  var slides = props.slides;
  var classes = useStyles(props);
  return /*#__PURE__*/React.createElement("div", {
    className: classes.root
  }, /*#__PURE__*/React.createElement("div", {
    className: classes.slider
  }, Array.from(Array(slides.length).keys()).map(function (num) {
    return /*#__PURE__*/React.createElement("a", {
      href: "#slide-" + (num + 1) + props.uniquePostfix,
      key: num
    }, props.carouselNavButtonsType === 'number' ? num + 1 : '');
  })), /*#__PURE__*/React.createElement("div", {
    className: classes.slides
  }, Array.from(Array(slides.length).keys()).map(function (num) {
    return /*#__PURE__*/React.createElement("div", {
      id: "slide-" + (num + 1) + props.uniquePostfix,
      key: num
    }, /*#__PURE__*/React.createElement("img", {
      src: slides[num],
      alt: "new",
      style: {
        width: props.carouselBoxWidth,
        height: props.carouselBoxHeight,
        borderRadius: 13
      }
    }));
  })));
};

exports.ReactCarousel = ReactCarousel;
//# sourceMappingURL=index.js.map
